#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("tsnt.inp");
    ofstream f2("tsnt.out");
    int n;
    f1>>n;
    int tg;
    int t=0;
    f2<<n<<"=";
    for (int i=2;i<=n;i++)
    {
        if(n%i==0)
        {
            n=n/i;
            tg=i;
            t=t+i;
            break;
        }
    }
    f2<<tg;
    int i=tg;
    while(n>1)
    {
        if(n%i==0)
        {
            f2<<'*'<<i;
            n=n/i;
            t=t+i;
        }
        if(i*i<=n)
        {
            i++;
        }
        else
        {
            f2<<'*'<<n;
            t=t+n;
            n=1;
        }
    }
    f2<<endl<<t;
}
